<?php
header('Content-Type: text/html; charset=utf-8');





//if (isset($_COOKIE["t_cat_sel_id"])){
	// 	$search_str = $_COOKIE['t_cat_sel_id'];
	
	
//}else{
	
	//setcookie("t_cat_sel_id", "", time() + (20 * 365 * 24 * 60 * 60),'/');
	$search_str = "";
	
//}

// $search = "comp_name like '%a%' and comp_name like '%v%'";


	

 $search = "code_type = 'clientcat' ";

//	if ($search_str == ""){
		
	//}else{

	//		$search = $search . " and code_value like '%".$search_str."%'";
		
//	}
 
//echo "search".$search;

//echo "search".$search;

//setcookie("t_cat_sel_id", "", time() - (20 * 365 * 24 * 60 * 60),'/');

/*
 * DataTables example server-side processing script.
 *
 * Please note that this script is intentionally extremely simply to show how
 * server-side processing can be implemented, and probably shouldn't be used as
 * the basis for a large complex system. It is suitable for simple use cases as
 * for learning.
 *
 * See http://datatables.net/usage/server-side for full details on the server-
 * side processing requirements of DataTables.
 *
 * @license MIT - http://datatables.net/license_mit
 */
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */
 
// DB table to use
$table =  $_COOKIE['phxcrmclient_id'] . "_code_lookup";

 
// Table's primary key
$primaryKey = 'code_pk';
 
// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array( 'db' => 'code_pk', 'dt' => 0 ),
    array( 'db' => 'code_value', 'dt' => 1 ),
    array( 'db' => 'code_additional',  'dt' => 2 )



);
 
// SQL server connection information
$sql_details = array(
    'user' => 'naturesg_crmu',
    'pass' => 'SW}K*&y7=DGL',
    'db'   => 'naturesg_crmdb',
    'host' => 'localhost'
);
 

 
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
 
require( 'ssp.class_search.php' );
 
 	if ($search == ""){
		echo json_encode(
		SSP::simple( $_GET, $sql_details, $table, $primaryKey, $columns )
		);
	}else{
		echo json_encode(
		SSP::simple( $_GET, $sql_details, $table, $primaryKey, $columns, stripslashes($search) )
		);		
	}
	